1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Playing newer PSP games on older system

Discussion in 'Sony PSP - Mod and firmware discussion' started by FF7Turk, Jun 8, 2007.

  1. FF7Turk

    FF7Turk Member

    Joined:
    Jun 8, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    I want to play homebrew, and so have not updated my PSP. However, I want to play some of the newer games, such as Sonic Rivals, Aedis Eclipse, etc, that require me to update. My question is this: If I have a homebrew-capable PSP, will it be impossible for me to play these games?
     
  2. pspboydee

    pspboydee Regular member

    Joined:
    Apr 20, 2007
    Messages:
    123
    Likes Received:
    0
    Trophy Points:
    26
    what is your current psp firmware, what version does your psp have to be to play the sonic and aedis games if below 2.71 then you can just get devhook 0.46 it emulates what ever firmware you need to play your games on
     
  3. FF7Turk

    FF7Turk Member

    Joined:
    Jun 8, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    My current firmware is 2.81, and I need 3.11 to play Rivals and Aedis Eclipse. Its not 2.71, so is there anything I can do?
     
  4. pspboydee

    pspboydee Regular member

    Joined:
    Apr 20, 2007
    Messages:
    123
    Likes Received:
    0
    Trophy Points:
    26
    well you cant do anything right now but upgrade to that firmware and play the games, also you could just go out and buy gta lcs, not vcs and upgrade to firmware 3.03 and use the downgrader for 3.03
     
  5. pspboydee

    pspboydee Regular member

    Joined:
    Apr 20, 2007
    Messages:
    123
    Likes Received:
    0
    Trophy Points:
    26
    also for the downgrader to work the game the gta lcs has to be unpatched and have the 2.00 downgrader on it
     
  6. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    @FF7TURK- This is what you need to do to get started..once you get your firmware to v 1.50, then you can upgrade to a custom firmware,like 3.40OE and play your newer games as well as homebrew..

    enjoy.
     

Share This Page